#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname		%(echo %{name} | cut -d '-' -f2-3)
%define		perlvers	%(perl -v | awk '/This/ {print $9}' | sed -e 's/v//' | cut -d'(' -f2 | cut -d')' -f1)
#-----------------------------------------------------------------------------
Name		:	perl-URI
Version		:	1.76
Release		:	17.0.10.rel%{?dist}
Summary		:	A Perl module implementing URI parsing and manipulation
Group		:	Development/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL+ or Artistic
URL		:	https://metacpan.org/pod/URI

Source0		:	%{sname}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	perl

BuildArch	:	noarch

#-----------------------------------------------------------------------------
%description
This module implements the URI class. Objects of this class represent
"Uniform Resource Identifier references" as specified in RFC 2396
(and updated by RFC 2732).

A Uniform Resource Identifier is a compact string of characters that
identifies an abstract or physical resource. A Uniform Resource Identifier
can be further classified as either a Uniform Resource Locator (URL) or
a Uniform Resource Name (URN). The distinction between URL and URN does not
matter to the URI class interface. A "URI-reference" is a URI that may have
additional information attached in the form of a fragment identifier.

An absolute URI reference consists of three parts: a scheme, a scheme-specific
part and a fragment identifier. A subset of URI references share a common
syntax for hierarchical namespaces. For these, the scheme-specific part is
further broken down into authority, path and query components. These URIs
can also take the form of relative URI references, where the scheme
(and usually also the authority) component is missing, but implied by the
context of the URI reference.

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root, -)
%doc LICENSE MANIFEST
%{_datadir}/perl5/core_perl/URI/*
%{_datadir}/perl5/core_perl/URI.pm
%{_mandir}/man3/*.3.gz


#=============================================================================
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

%{__perl}						\
	Makefile.PL					\
	INSTALLDIRS=perl				\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}						\
	%{_smp_mflags}					\

%clean
%{__rm} -rf %{buildroot}

#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}						\
	PERL_INSTALL_ROOT=%{buildroot}			\
	pure_install

find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w %{buildroot}/*

#-----------------------------------------------------------------------------
%changelog
